import 'package:flutter/material.dart';

// DropdownContainer - Wraps a DropdownButtonFormField inside a Container
class DropdownContainer<T> extends StatelessWidget {
  final EdgeInsets containerPadding;
  final EdgeInsets containerMargin;
  final double containerHeight;
  final T value;
  final InputBorder border;
  final ValueChanged<T> onChanged;
  final List<DropdownMenuItem> items;

  DropdownContainer({
    this.value,
    this.onChanged,
    this.items,
    this.containerMargin,
    this.containerPadding,
    this.border,
    this.containerHeight = 60.0,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: containerPadding ?? EdgeInsets.only(left: 15.0, right: 15.0),
      height: containerHeight,
      margin: containerMargin,
      child: DropdownButtonFormField<T>(
        value: value,
        decoration: InputDecoration(
          border: border ?? OutlineInputBorder(),
        ),
        onChanged: onChanged,
        items: items,
      ),
    );
  }
}
