import 'package:flutter/material.dart';

/// TitleContainer - Wraps a Text in a Container
class TitleContainer extends StatelessWidget {
  TitleContainer(
      {this.title,
      this.padding,
      this.fontWeight = FontWeight.bold,
      this.fontSize = 30});

  final String title;
  final EdgeInsetsGeometry padding;
  final FontWeight fontWeight;
  final double fontSize;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding ?? EdgeInsets.only(top: 35, bottom: 35),
      child: Text(
        title,
        style: TextStyle(fontWeight: fontWeight, fontSize: fontSize),
      ),
    );
  }
}
